import React from 'react';
import PropTypes from 'prop-types';
import Dropdown from './Dropdown';
import splitComponentProps from './utils/splitComponentProps';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const propTypes = {
  ...Dropdown.propTypes,
  // Toggle props.
  bsStyle: PropTypes.string,
  bsSize: PropTypes.string,
  title: PropTypes.node.isRequired,
  noCaret: PropTypes.bool,
  // Override generated docs from <Dropdown>.
  /**
   * @private
   */
  children: PropTypes.node
};
class DropdownButton extends React.Component {
  render() {
    const {
      bsSize,
      bsStyle,
      title,
      children,
      ...props
    } = this.props;
    const [dropdownProps, toggleProps] = splitComponentProps(props, Dropdown.ControlledComponent);
    return /*#__PURE__*/_jsxs(Dropdown, {
      ...dropdownProps,
      bsSize: bsSize,
      bsStyle: bsStyle,
      children: [/*#__PURE__*/_jsx(Dropdown.Toggle, {
        ...toggleProps,
        bsSize: bsSize,
        bsStyle: bsStyle,
        children: title
      }), /*#__PURE__*/_jsx(Dropdown.Menu, {
        children: children
      })]
    });
  }
}
DropdownButton.propTypes = propTypes;
export default DropdownButton;
//# sourceMappingURL=DropdownButton.js.map