import classNames from 'classnames';
import React from 'react';
import PropTypes from 'prop-types';
import { prefix } from './utils/bootstrapUtils';
import { jsx as _jsx } from "react/jsx-runtime";
const contextTypes = {
  $bs_navbar: PropTypes.shape({
    bsClass: PropTypes.string
  })
};
class NavbarBrand extends React.Component {
  render() {
    const {
      className,
      children,
      ...props
    } = this.props;
    const navbarProps = this.context.$bs_navbar || {
      bsClass: 'navbar'
    };
    const bsClassName = prefix(navbarProps, 'brand');
    if ( /*#__PURE__*/React.isValidElement(children)) {
      return /*#__PURE__*/React.cloneElement(children, {
        className: classNames(children.props.className, className, bsClassName)
      });
    }
    return /*#__PURE__*/_jsx("span", {
      ...props,
      className: classNames(className, bsClassName),
      children: children
    });
  }
}
NavbarBrand.contextTypes = contextTypes;
export default NavbarBrand;
//# sourceMappingURL=NavbarBrand.js.map