import React from 'react';
import PropTypes from 'prop-types';
import Collapse from './Collapse';
import { prefix } from './utils/bootstrapUtils';
import { jsx as _jsx } from "react/jsx-runtime";
const contextTypes = {
  $bs_navbar: PropTypes.shape({
    bsClass: PropTypes.string,
    expanded: PropTypes.bool
  })
};
class NavbarCollapse extends React.Component {
  render() {
    const {
      children,
      ...props
    } = this.props;
    const navbarProps = this.context.$bs_navbar || {
      bsClass: 'navbar'
    };
    const bsClassName = prefix(navbarProps, 'collapse');
    return /*#__PURE__*/_jsx(Collapse, {
      in: navbarProps.expanded,
      ...props,
      children: /*#__PURE__*/_jsx("div", {
        className: bsClassName,
        children: children
      })
    });
  }
}
NavbarCollapse.contextTypes = contextTypes;
export default NavbarCollapse;
//# sourceMappingURL=NavbarCollapse.js.map